/* Lecture et ecriture d'une Position3D         */

public class LectureEcriturePosition3D {

/* Type agrege de stockage des informations     */
/* relatives a une position en trois dimensions */

  static class Position3D {
    double x = 0.0;
    double y = 0.0;
    double z = 0.0; };

/* Programme principal                          */

  public static void main(String [] args) {
    Position3D pos = new Position3D();
    Ecran.afficherln("SVP, vos 3 coordonnees?");
    pos.x = Clavier.saisirDouble();
    pos.y = Clavier.saisirDouble();
    pos.z = Clavier.saisirDouble();
    Ecran.afficher("(",pos.x,",",pos.y,",",pos.z,")");
  }
}